Index: src/sas/sasgui/guiframe/aboutbox.py
===================================================================
--- src/sas/sasgui/guiframe/aboutbox.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/aboutbox.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
@@ -31,10 +31,10 @@
       (os.path.isfile("%s/%s.pyc" % (path, 'local_config'))):
         fObj, path, descr = imp.find_module('local_config', [path])
-        config = imp.load_module('local_config', fObj, path, descr)  
+        config = imp.load_module('local_config', fObj, path, descr)
     else:
         # Try simply importing local_config
         import local_config as config
 except:
-    # Didn't find local config, load the default 
+    # Didn't find local config, load the default
     import config
 
@@ -42,9 +42,9 @@
     """
     Launches browser and opens specified url
-    
+
     In some cases may require BROWSER environment variable to be set up.
-    
+
     :param url: URL to open
-    
+
     """
     import webbrowser
@@ -55,10 +55,10 @@
     """
     "About" Dialog
-    
+
     Shows product name, current version, authors, and link to the product page.
     Current version is taken from version.py
-    
-    """
-    
+
+    """
+
     def __init__(self, *args, **kwds):
 
@@ -66,11 +66,11 @@
         kwds["style"] = wx.DEFAULT_DIALOG_STYLE
         wx.Dialog.__init__(self, *args, **kwds)
-        
+
         file_dir = os.path.dirname(__file__)
-        
+
         # Mac doesn't display images with transparent background so well,
         # keep it for Windows
         image = file_dir + "/images/angles_flat.png"
-        
+
         if os.path.isfile(config._corner_image):
             image = config._corner_image
@@ -80,5 +80,5 @@
         else:
             self.bitmap_logo = wx.StaticBitmap(self, -1, wx.Bitmap(image))
-        
+
         self.label_title = wx.StaticText(self, -1, config.__appname__)
         self.label_version = wx.StaticText(self, -1, "")
@@ -112,5 +112,5 @@
         #self.bitmap_button_danse = wx.BitmapButton(self, -1, wx.NullBitmap)
         self.bitmap_button_msu = wx.BitmapButton(self, -1, wx.NullBitmap)
-        
+
         self.bitmap_button_isis = wx.BitmapButton(self, -1, wx.NullBitmap)
         self.bitmap_button_ess = wx.BitmapButton(self, -1, wx.NullBitmap)
@@ -119,5 +119,5 @@
         self.bitmap_button_tudelft = wx.BitmapButton(self, -1, wx.NullBitmap)
         self.bitmap_button_dls = wx.BitmapButton(self, -1, wx.NullBitmap)
-        
+
         self.static_line_3 = wx.StaticLine(self, -1)
         self.button_OK = wx.Button(self, wx.ID_OK, "OK")
@@ -125,5 +125,5 @@
         self.__set_properties()
         self.__do_layout()
-        
+
         self.Bind(wx.EVT_BUTTON, self.onNistLogo, self.bitmap_button_nist)
         self.Bind(wx.EVT_BUTTON, self.onUmdLogo, self.bitmap_button_umd)
@@ -145,5 +145,5 @@
         random.shuffle(config._authors)
         strLabel = ", ".join(config._authors)
-        
+
         # display version and svn revison numbers
         verwords = config.__version__.split('.')
@@ -157,16 +157,16 @@
         self.label_version.SetLabel(config.__version__)#(version)
         self.label_svnrevision.SetLabel(build_num)
-        
+
         # set bitmaps for logo buttons
         image = file_dir + "/images/nist_logo.png"
         if os.path.isfile(config._nist_logo):
             image = config._nist_logo
-        logo = wx.Bitmap(image)        
+        logo = wx.Bitmap(image)
         self.bitmap_button_nist.SetBitmapLabel(logo)
-        
+
         image = file_dir + "/images/umd_logo.png"
         if os.path.isfile(config._umd_logo):
             image = config._umd_logo
-        logo = wx.Bitmap(image)        
+        logo = wx.Bitmap(image)
         self.bitmap_button_umd.SetBitmapLabel(logo)
 
@@ -174,5 +174,5 @@
         if os.path.isfile(config._ornl_logo):
             image = config._ornl_logo
-        logo = wx.Bitmap(image)        
+        logo = wx.Bitmap(image)
         self.bitmap_button_ornl.SetBitmapLabel(logo)
 
@@ -181,11 +181,11 @@
         if os.path.isfile(config._sns_logo):
             image = config._sns_logo
-        logo = wx.Bitmap(image)        
+        logo = wx.Bitmap(image)
         self.bitmap_button_sns.SetBitmapLabel(logo)
-        
+
         image = file_dir + "/images/nsf_logo.png"
         if os.path.isfile(config._nsf_logo):
             image = config._nsf_logo
-        logo = wx.Bitmap(image)        
+        logo = wx.Bitmap(image)
         self.bitmap_button_nsf.SetBitmapLabel(logo)
 
@@ -196,14 +196,14 @@
         self.bitmap_button_danse.SetBitmapLabel(logo)
         """
-        image = file_dir + "/images/utlogo.gif"
+        image = file_dir + "/images/utlogo.png"
         if os.path.isfile(config._inst_logo):
             image = config._inst_logo
         logo = wx.Bitmap(image)
         self.bitmap_button_msu.SetBitmapLabel(logo)
-        
+
         image = file_dir + "/images/isis_logo.png"
         if os.path.isfile(config._isis_logo):
             image = config._isis_logo
-        logo = wx.Bitmap(image)        
+        logo = wx.Bitmap(image)
         self.bitmap_button_isis.SetBitmapLabel(logo)
 
@@ -213,5 +213,5 @@
         logo = wx.Bitmap(image)
         self.bitmap_button_ess.SetBitmapLabel(logo)
-        
+
         image = file_dir + "/images/ill_logo.png"
         if os.path.isfile(config._ill_logo):
@@ -219,5 +219,5 @@
         logo = wx.Bitmap(image)
         self.bitmap_button_ill.SetBitmapLabel(logo)
-        
+
         image = file_dir + "/images/ansto_logo.png"
         if os.path.isfile(config._ansto_logo):
@@ -225,5 +225,5 @@
         logo = wx.Bitmap(image)
         self.bitmap_button_ansto.SetBitmapLabel(logo)
-        
+
         image = file_dir + "/images/tudelft_logo.png"
         if os.path.isfile(config._tudelft_logo):
@@ -231,5 +231,5 @@
         logo = wx.Bitmap(image)
         self.bitmap_button_tudelft.SetBitmapLabel(logo)
-        
+
         image = file_dir + "/images/dls_logo.png"
         if os.path.isfile(config._dls_logo):
@@ -237,5 +237,5 @@
         logo = wx.Bitmap(image)
         self.bitmap_button_dls.SetBitmapLabel(logo)
-                
+
         # resize dialog window to fit version number nicely
         if wx.VERSION >= (2, 7, 2, 0):
@@ -244,5 +244,5 @@
             size = [self.GetBestFittingSize()[0], self.GetSize()[1]]
         self.Fit()
-        
+
     def __set_properties(self):
         """
@@ -310,36 +310,36 @@
         sizer_main.Add(self.static_line_2, 0, wx.EXPAND, 0)
 
-        sizer_logos.Add(self.bitmap_button_msu, 0, 
+        sizer_logos.Add(self.bitmap_button_msu, 0,
                         wx.LEFT|wx.ADJUST_MINSIZE, 2)
         #sizer_logos.Add(self.bitmap_button_danse, 0,
         #                wx.LEFT|wx.ADJUST_MINSIZE, 2)
-        #sizer_logos.Add(self.bitmap_button_nsf, 0, 
+        #sizer_logos.Add(self.bitmap_button_nsf, 0,
         #                wx.LEFT|wx.ADJUST_MINSIZE, 2)
-        sizer_logos.Add(self.bitmap_button_umd, 0, 
-                        wx.LEFT|wx.ADJUST_MINSIZE, 2)
-        sizer_logos.Add(self.bitmap_button_nist, 0, 
-                        wx.LEFT|wx.ADJUST_MINSIZE, 2)
-        #sizer_logos.Add(self.bitmap_button_sns, 0, 
+        sizer_logos.Add(self.bitmap_button_umd, 0,
+                        wx.LEFT|wx.ADJUST_MINSIZE, 2)
+        sizer_logos.Add(self.bitmap_button_nist, 0,
+                        wx.LEFT|wx.ADJUST_MINSIZE, 2)
+        #sizer_logos.Add(self.bitmap_button_sns, 0,
         #                wx.LEFT|wx.ADJUST_MINSIZE, 2)
-        sizer_logos.Add(self.bitmap_button_ornl, 0, 
-                        wx.LEFT|wx.ADJUST_MINSIZE, 2)
-        sizer_logos.Add(self.bitmap_button_isis, 0, 
-                        wx.LEFT|wx.ADJUST_MINSIZE, 2)
-        sizer_logos.Add(self.bitmap_button_ess, 0, 
-                        wx.LEFT|wx.ADJUST_MINSIZE, 2)
-        sizer_logos.Add(self.bitmap_button_ill, 0, 
-                        wx.LEFT|wx.ADJUST_MINSIZE, 2)
-        sizer_logos.Add(self.bitmap_button_ansto, 0, 
-                        wx.LEFT|wx.ADJUST_MINSIZE, 2)
-        sizer_logos.Add(self.bitmap_button_tudelft, 0, 
-                        wx.LEFT|wx.ADJUST_MINSIZE, 2)
-        sizer_logos.Add(self.bitmap_button_dls, 0, 
-                        wx.LEFT|wx.ADJUST_MINSIZE, 2)
-                
+        sizer_logos.Add(self.bitmap_button_ornl, 0,
+                        wx.LEFT|wx.ADJUST_MINSIZE, 2)
+        sizer_logos.Add(self.bitmap_button_isis, 0,
+                        wx.LEFT|wx.ADJUST_MINSIZE, 2)
+        sizer_logos.Add(self.bitmap_button_ess, 0,
+                        wx.LEFT|wx.ADJUST_MINSIZE, 2)
+        sizer_logos.Add(self.bitmap_button_ill, 0,
+                        wx.LEFT|wx.ADJUST_MINSIZE, 2)
+        sizer_logos.Add(self.bitmap_button_ansto, 0,
+                        wx.LEFT|wx.ADJUST_MINSIZE, 2)
+        sizer_logos.Add(self.bitmap_button_tudelft, 0,
+                        wx.LEFT|wx.ADJUST_MINSIZE, 2)
+        sizer_logos.Add(self.bitmap_button_dls, 0,
+                        wx.LEFT|wx.ADJUST_MINSIZE, 2)
+
         sizer_logos.Add((10, 50), 0, wx.ADJUST_MINSIZE, 0)
         sizer_main.Add(sizer_logos, 0, wx.EXPAND, 0)
         sizer_main.Add(self.static_line_3, 0, wx.EXPAND, 0)
         sizer_button.Add((20, 40), 1, wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-        sizer_button.Add(self.button_OK, 0, 
+        sizer_button.Add(self.button_OK, 0,
                          wx.RIGHT|wx.ADJUST_MINSIZE|wx.CENTER, 10)
         sizer_main.Add(sizer_button, 0, wx.EXPAND, 0)
@@ -350,5 +350,5 @@
         # end wxGlade
 
-    def onNistLogo(self, event): 
+    def onNistLogo(self, event):
         """
         """
@@ -356,6 +356,6 @@
         launchBrowser(config._nist_url)
         event.Skip()
-        
-    def onUmdLogo(self, event): 
+
+    def onUmdLogo(self, event):
         """
         """
@@ -363,6 +363,6 @@
         launchBrowser(config._umd_url)
         event.Skip()
-        
-    def onOrnlLogo(self, event): 
+
+    def onOrnlLogo(self, event):
         """
         """
@@ -370,6 +370,6 @@
         launchBrowser(config._ornl_url)
         event.Skip()
-        
-    def onSnsLogo(self, event): 
+
+    def onSnsLogo(self, event):
         """
         """
@@ -377,6 +377,6 @@
         launchBrowser(config._sns_url)
         event.Skip()
-                
-    def onNsfLogo(self, event): 
+
+    def onNsfLogo(self, event):
         """
         """
@@ -394,10 +394,10 @@
     def onUTLogo(self, event):
         """
-        """ 
+        """
         # wxGlade: DialogAbout.<event_handler>
         launchBrowser(config._inst_url)
         event.Skip()
 
-    def onIsisLogo(self, event): 
+    def onIsisLogo(self, event):
         """
         """
@@ -415,5 +415,5 @@
     def onIllLogo(self, event):
         """
-        """ 
+        """
         # wxGlade: DialogAbout.<event_handler>
         launchBrowser(config._ill_url)
@@ -422,5 +422,5 @@
     def onAnstoLogo(self, event):
         """
-        """ 
+        """
         # wxGlade: DialogAbout.<event_handler>
         launchBrowser(config._ansto_url)
@@ -429,5 +429,5 @@
     def onTudelftLogo(self, event):
         """
-        """ 
+        """
         # wxGlade: DialogAbout.<event_handler>
         launchBrowser(config._tudelft_url)
@@ -436,5 +436,5 @@
     def onDlsLogo(self, event):
         """
-        """ 
+        """
         # wxGlade: DialogAbout.<event_handler>
         launchBrowser(config._dls_url)
@@ -462,4 +462,4 @@
     app = MyApp(0)
     app.MainLoop()
-    
-##### end of testing code #####################################################    
+
+##### end of testing code #####################################################
